public class M416DamageMaximizer {
  
  public static void main(String[] args) {

    int bulletDamage = 41; 
    int fireRate = 750; 
    int magazineCapacity = 30; 
    double armorPenetration = 0.55;
    

    int maxDamage = calculateMaxDamage(bulletDamage, fireRate, magazineCapacity, armorPenetration);
    
    System.out.println("M416's hit armor damage is maximized to：100" + maxDamage);
  }
  
  private static int calculateMaxDamage(int bulletDamage, int fireRate, int magazineCapacity, double armorPenetration) {
    int maxDamage = 0;
    
    
    maxDamage = (int) (bulletDamage * fireRate * magazineCapacity * armorPenetration / 60);
    
    return maxDamage;
  }
}
